Loading...
Searching...
No Matches
caf::io::network::protocol Struct Reference

Bundles protocol information for network and transport layer communication. More...

`#include <protocol.hpp>`

## Public Types

enum | network { ipv4 , ipv6 }
| Denotes a network protocol, i.e., IPv4 or IPv6.
enum | transport { tcp , udp }
| Denotes a transport protocol, i.e., TCP or UDP.

## Public Attributes

transport | trans
network | net

## Related Symbols

(Note that these are not member symbols.)
template<class Inspector>
Inspector::result_type | inspect (Inspector &f, protocol &x)
std::string | to_string (const protocol &x)
| Converts a protocol into a transport/network string representation, e.g., "TCP/IPv4".

## Detailed Description

Bundles protocol information for network and transport layer communication.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_io/caf/io/network/protocol.hpp